Option Explicit

' definition for win.ini section
Global Const GET_TIME_SEPARATOR = 1
Global Const GET_DATE_SEPARATOR = 2
Global Const GET_TIME_FORMAT = 3
Global Const GET_DATE_FORMAT = 4
Global Const GET_CURRENCY = 5
Global Const GET_LANGUAGE = 6
Global Const GET_COUNTRY = 7
Global Const GET_COUNTRY_CODE = 8
Global Const GET_LIST_SEPARATOR = 9
Global Const GET_DEFAULT_PRINTER = 10

' definition for drive type
Global Const DRIVE_UNKNOW = 0
Global Const DRIVE_REMOVABLE = 2
Global Const DRIVE_FIXED = 3
Global Const DRIVE_REMOTE = 4
Global Const DRIVE_CDROM = 20

' definition for file attributes
Global Const A_NORMAL = &H0             'Normal file - No read/write restrictions
Global Const A_RDONLY = &H1             'Read only file
Global Const A_HIDDEN = &H2             'Hidden file
Global Const A_SYSTEM = &H4             'System file
Global Const A_VOLID = &H8              'Volume ID file
Global Const A_SUBDIR = &H10            'Subdirectory
Global Const A_ARCH = &H20              'Archive file

' definition for encrypt/decrypt
Global Const ENCRYPT_LEVEL_0 = 0
Global Const ENCRYPT_LEVEL_1 = 1
Global Const ENCRYPT_LEVEL_2 = 2
Global Const ENCRYPT_LEVEL_3 = 3
Global Const ENCRYPT_LEVEL_4 = 4

' definition for FILECRC32
Global Const OPEN_MODE_BINARY = 0
Global Const OPEN_MODE_TEXT = 1

' definition for ARRAYONDISK
Global Const PUT_ARRAY_ON_DISK = 0
Global Const GET_ARRAY_ON_DISK = 1

' definition for error type for ISFILENAMEVALID
Global Const IFV_ERROR = 0
Global Const IFV_NAME_TOO_LONG = 1
Global Const IFV_EXT_TOO_LONG = 2
Global Const IFV_TOO_MANY_BACKSLASH = 3
Global Const IFV_BAD_DRIVE_LETTER = 4
Global Const IFV_BAD_COLON_POS = 5
Global Const IFV_EXT_WITHOUT_NAME = 6

' definition for variable type in DISK ARRAY
Global Const DA_BYTE = 1
Global Const DA_TYPE = 0
Global Const DA_INTEGER = -2
Global Const DA_LONG = -3
Global Const DA_SINGLE = -4
Global Const DA_DOUBLE = -5
Global Const DA_CURRENCY = -6

' definition for compress/expand
Global Const LZH_ENCODE = True
Global Const LZH_DECODE = False

' definition for PROPERNAME2
Global Const PN_UPPERCASE = 1
Global Const PN_PUNCTUATION = 2
Global Const PN_KEEP_ORIGINAL = 4
Global Const PN_ONLY_LEADER_SPACE = 8

' structure for splittin path
Type tagSPLITPATH
   nDrive            As String
   nDir              As String
   nName             As String
   nExt              As String
End Type

' structure for file attributes
Type FileAttributeType
   ErrNo             As Integer
   Archive           As Integer
   Hidden            As Integer
   Normal            As Integer
   ReadOnly          As Integer
   SubDir            As Integer
   System            As Integer
   VolId             As Integer
End Type

' structure for VB array
Type ArrayType
   Bounds            As Long
   LBound            As Integer
   UBound            As Integer
   ElemSize          As Integer
   IndexCount        As Integer
   TotalElem         As Integer
End Type

' structure for ARRAYSTRINGONDISK
Type tagVARSTRING
   Contents          As String
End Type

Rem Don't Remove It
Declare Function cAddD Lib "t2wlight.dll" (Array() As Double, ByVal nValue As Double) As Integer
Declare Function cAddDigit Lib "t2wlight.dll" (Txt As String) As Integer
Declare Function cAddI Lib "t2wlight.dll" (Array() As Integer, ByVal nValue As Integer) As Integer
Declare Function cAddL Lib "t2wlight.dll" (Array() As Long, ByVal nValue As Long) As Integer
Declare Function cAddS Lib "t2wlight.dll" (Array() As Single, ByVal nValue As Single) As Integer
Declare Function cAddTime Lib "t2wlight.dll" (ByVal Hr As Integer) As Integer
Declare Function cAddTwoTimes Lib "t2wlight.dll" (ByVal Time1 As String, ByVal Time2 As String) As String
Declare Function cAlign Lib "t2wlight.dll" (Txt As String, ByVal TypeAlign As Integer, ByVal NewLength As Integer) As String
Declare Function cAndToken Lib "t2wlight.dll" (ByVal Txt As String, ByVal Token As String) As Integer
Declare Function cAndTokenIn Lib "t2wlight.dll" (ByVal Txt As String, ByVal Token As String, ByVal Separator As String) As Integer
Declare Function cArabicToRoman Lib "t2wlight.dll" (Var As Variant) As String
Declare Sub cArrangeDesktopIcons Lib "t2wlight.dll" ()
Declare Function cArrayOnDisk Lib "t2wlight.dll" (ByVal file As String, Array() As Any, ByVal GetPut As Integer) As Long
Declare Function cArrayPrm Lib "t2wlight.dll" (Array() As Any, nArray As Any) As Integer
Declare Function cArrayStringOnDisk Lib "t2wlight.dll" (ByVal file As String, Array() As Any, ByVal GetPut As Integer, rRecords As Long) As Long
Declare Function cBaseConversion Lib "t2wlight.dll" (ByVal Num As String, ByVal RadixIn As Integer, ByVal RadixOut As Integer) As String
Declare Function cBetween Lib "t2wlight.dll" (Var As Variant, Var1 As Variant, Var2 As Variant) As Integer
Declare Function cBlockCharFromLeft Lib "t2wlight.dll" (Txt As String, ByVal Position As Integer) As String
Declare Function cBlockCharFromRight Lib "t2wlight.dll" (Txt As String, ByVal Position As Integer) As String
Declare Function cCVB Lib "t2wlight.dll" (Value As String) As Integer
Declare Function cCVC Lib "t2wlight.dll" (Value As String) As Currency
Declare Function cCVD Lib "t2wlight.dll" (Value As String) As Double
Declare Function cCVI Lib "t2wlight.dll" (Value As String) As Integer
Declare Function cCVL Lib "t2wlight.dll" (Value As String) As Long
Declare Function cCVS Lib "t2wlight.dll" (Value As String) As Single
Declare Function cChDir Lib "t2wlight.dll" (ByVal lpDir As String) As Integer
Declare Function cChDrive Lib "t2wlight.dll" (ByVal lpDrive As String) As Integer
Declare Sub cChangeChars Lib "t2wlight.dll" (Txt As String, charSet As String, newCharSet As String)
Declare Sub cChangeCharsUntil Lib "t2wlight.dll" (Txt As String, charSet As String, newCharSet As String, nUntil As String)
Declare Sub cChangeTaskName Lib "t2wlight.dll" (ByVal hWnd As Integer, ByVal Text As String)
Declare Function cCheckChars Lib "t2wlight.dll" (Txt As String, charSet As String) As Integer
Declare Function cCheckNumericity Lib "t2wlight.dll" (Txt As String) As Integer
Declare Function cCheckTime Lib "t2wlight.dll" (ByVal Hr As Integer, ByVal Hr1 As Integer, ByVal Hr2 As Integer) As Integer
Declare Function cCloseAllEditForm Lib "t2wlight.dll" () As Integer
Declare Function cCmpFileAttribute Lib "t2wlight.dll" (ByVal file1 As String, ByVal file2 As String) As Integer
Declare Function cCmpFileContents Lib "t2wlight.dll" (ByVal file1 As String, ByVal file2 As String, ByVal sensitivity As Integer) As Integer
Declare Function cCmpFileSize Lib "t2wlight.dll" (ByVal file1 As String, ByVal file2 As String) As Integer
Declare Function cCmpFileTime Lib "t2wlight.dll" (ByVal file1 As String, ByVal file2 As String) As Integer
Declare Sub cCnvASCIItoEBCDIC Lib "t2wlight.dll" (Txt As String)
Declare Sub cCnvEBCDICtoASCII Lib "t2wlight.dll" (Txt As String)
Declare Function cCompact Lib "t2wlight.dll" (Txt As String) As String
Declare Function cCompress Lib "t2wlight.dll" (Txt As String) As String
Declare Function cCompressTab Lib "t2wlight.dll" (Txt As String, ByVal nTab As Integer) As String
Declare Function cCount Lib "t2wlight.dll" (Txt As String, Separator As String) As Integer
Declare Function cCountDirectories Lib "t2wlight.dll" (ByVal lpFilename As String) As Integer
Declare Function cCountFiles Lib "t2wlight.dll" (ByVal lpFilename As String) As Integer
Declare Function cCplAlpha Lib "t2wlight.dll" (Txt As String) As String
Declare Function cCplDigit Lib "t2wlight.dll" (Txt As String) As String
Declare Function cCreateAndFill Lib "t2wlight.dll" (ByVal Length As Integer, Txt As String) As String
Declare Function cCreateBits Lib "t2wlight.dll" (ByVal nBits As Integer) As String
Declare Function cCurrentTime Lib "t2wlight.dll" () As Integer
Declare Function cDateToScalar Lib "t2wlight.dll" (ByVal nYear As Integer, ByVal nMonth As Integer, ByVal nDay As Integer) As Long
Declare Function cDayOfWeek Lib "t2wlight.dll" (ByVal nYear As Integer, ByVal nMonth As Integer, ByVal nDay As Integer, ByVal nISO As Integer) As Integer
Declare Function cDayOfYear Lib "t2wlight.dll" (ByVal nYear As Integer, ByVal nMonth As Integer, ByVal nDay As Integer) As Integer
Declare Function cDaysInMonth Lib "t2wlight.dll" (ByVal nYear As Integer, ByVal nMonth As Integer) As Integer
Declare Sub cDecrI Lib "t2wlight.dll" (Value As Integer)
Declare Sub cDecrL Lib "t2wlight.dll" (Value As Long)
Declare Function cDecrypt Lib "t2wlight.dll" (Txt As String, password As String, ByVal level As Integer) As String
Declare Function cDeviationD Lib "t2wlight.dll" (Array() As Double) As Double
Declare Function cDeviationI Lib "t2wlight.dll" (Array() As Integer) As Double
Declare Function cDeviationL Lib "t2wlight.dll" (Array() As Long) As Double
Declare Function cDeviationS Lib "t2wlight.dll" (Array() As Single) As Double
Declare Sub cDisableCtlRedraw Lib "t2wlight.dll" (Ctl As Control)
Declare Sub cDisableFI Lib "t2wlight.dll" (Ctl As Control)
Declare Sub cDisableForm Lib "t2wlight.dll" (ByVal hWnd As Integer)
Declare Sub cDisableRedraw Lib "t2wlight.dll" (ByVal hWnd As Integer)
Declare Function cEXEnameActiveWindow Lib "t2wlight.dll" () As String
Declare Function cEXEnameTask Lib "t2wlight.dll" (ByVal nFilename As String) As String
Declare Function cEXEnameWindow Lib "t2wlight.dll" (ByVal hModule As Integer) As String
Declare Sub cEnableCtlRedraw Lib "t2wlight.dll" (Ctl As Control)
Declare Sub cEnableFI Lib "t2wlight.dll" (Ctl As Control)
Declare Sub cEnableForm Lib "t2wlight.dll" (ByVal hWnd As Integer)
Declare Sub cEnableRedraw Lib "t2wlight.dll" (ByVal hWnd As Integer)
Declare Function cEncrypt Lib "t2wlight.dll" (Txt As String, password As String, ByVal level As Integer) As String
Declare Function cExpandTab Lib "t2wlight.dll" (Txt As String, ByVal nTab As Integer) As String
Declare Function cFileCRC32 Lib "t2wlight.dll" (ByVal lpFilename As String, ByVal Mode As Integer) As Long
Declare Function cFileCompress Lib "t2wlight.dll" (ByVal file1 As String, ByVal file2 As String) As Long
Declare Function cFileCopy Lib "t2wlight.dll" (ByVal file1 As String, ByVal file2 As String) As Long
Declare Function cFileDateCreated Lib "t2wlight.dll" (ByVal lpFilename As String) As String
Declare Function cFileDecrypt Lib "t2wlight.dll" (ByVal file1 As String, ByVal file2 As String, password As String, ByVal level As Integer) As Long
Declare Function cFileDrive Lib "t2wlight.dll" (ByVal lpFilename As String) As String
Declare Function cFileEncrypt Lib "t2wlight.dll" (ByVal file1 As String, ByVal file2 As String, password As String, ByVal level As Integer) As Long
Declare Function cFileExpand Lib "t2wlight.dll" (ByVal file1 As String, ByVal file2 As String) As Long
Declare Function cFileFilter Lib "t2wlight.dll" (ByVal file1 As String, ByVal file2 As String, Filter As String) As Long
Declare Function cFileFilterNot Lib "t2wlight.dll" (ByVal file1 As String, ByVal file2 As String, Filter As String) As Long
Declare Function cFileGetAttrib Lib "t2wlight.dll" (ByVal nFilename As String, nFileAttribute As Any) As Integer
Declare Function cFileLastDateAccess Lib "t2wlight.dll" (ByVal lpFilename As String) As String
Declare Function cFileLastDateModified Lib "t2wlight.dll" (ByVal lpFilename As String) As String
Declare Function cFileLastTimeAccess Lib "t2wlight.dll" (ByVal lpFilename As String) As String
Declare Function cFileLastTimeModified Lib "t2wlight.dll" (ByVal lpFilename As String) As String
Declare Function cFileLineCount Lib "t2wlight.dll" (ByVal lpFilename As String) As Long
Declare Function cFileMerge Lib "t2wlight.dll" (ByVal file1 As String, ByVal file2 As String, ByVal file3 As String) As Long
Declare Function cFilePathExists Lib "t2wlight.dll" (ByVal lpFilename As String) As Integer
Declare Function cFileResetAllAttrib Lib "t2wlight.dll" (ByVal nFilename As String) As Integer
Declare Function cFileResetArchive Lib "t2wlight.dll" (ByVal nFilename As String) As Integer
Declare Function cFileResetFlag Lib "t2wlight.dll" (ByVal nFilename As String, ByVal nStatus As Integer) As Integer
Declare Function cFileResetHidden Lib "t2wlight.dll" (ByVal nFilename As String) As Integer
Declare Function cFileResetReadOnly Lib "t2wlight.dll" (ByVal nFilename As String) As Integer
Declare Function cFileResetSystem Lib "t2wlight.dll" (ByVal nFilename As String) As Integer
Declare Function cFileSetAllAttrib Lib "t2wlight.dll" (ByVal nFilename As String) As Integer
Declare Function cFileSetArchive Lib "t2wlight.dll" (ByVal nFilename As String) As Integer
Declare Function cFileSetAttrib Lib "t2wlight.dll" (ByVal nFilename As String, nFileAttribute As Any) As Integer
Declare Function cFileSetFlag Lib "t2wlight.dll" (ByVal nFilename As String, ByVal nStatus As Integer) As Integer
Declare Function cFileSetHidden Lib "t2wlight.dll" (ByVal nFilename As String) As Integer
Declare Function cFileSetReadOnly Lib "t2wlight.dll" (ByVal nFilename As String) As Integer
Declare Function cFileSetSystem Lib "t2wlight.dll" (ByVal nFilename As String) As Integer
Declare Function cFileSize Lib "t2wlight.dll" (ByVal lpFilename As String) As Long
Declare Function cFileStatistics Lib "t2wlight.dll" (ByVal nFilename As String, nLines As Long, nWords As Long, nChars As Long) As Long
Declare Function cFileTimeCreated Lib "t2wlight.dll" (ByVal lpFilename As String) As String
Declare Function cFileToComboBox Lib "t2wlight.dll" (ByVal hWnd As Integer, ByVal nFile As String) As Integer
Declare Function cFileToListBox Lib "t2wlight.dll" (ByVal hWnd As Integer, ByVal nFile As String) As Integer
Declare Function cFilesInDirectory Lib "t2wlight.dll" (ByVal nFilename As String, ByVal FirstNext As Integer) As String
Declare Function cFilesSize Lib "t2wlight.dll" (ByVal nFilename As String) As Long
Declare Function cFilesSizeOnDisk Lib "t2wlight.dll" (ByVal nFilename As String) As Long
Declare Function cFilesSlack Lib "t2wlight.dll" (ByVal nFilename As String, Size1 As Long, Size2 As Long) As Integer
Declare Sub cFill Lib "t2wlight.dll" (Txt As String, Fill As String)
Declare Function cFillD Lib "t2wlight.dll" (Array() As Double, ByVal nValue As Double) As Integer
Declare Function cFillI Lib "t2wlight.dll" (Array() As Integer, ByVal nValue As Integer) As Integer
Declare Function cFillIncrD Lib "t2wlight.dll" (Array() As Double, ByVal nValue As Double, ByVal Increment As Double) As Integer
Declare Function cFillIncrI Lib "t2wlight.dll" (Array() As Integer, ByVal nValue As Integer, ByVal Increment As Integer) As Integer
Declare Function cFillIncrL Lib "t2wlight.dll" (Array() As Long, ByVal nValue As Long, ByVal Increment As Long) As Integer
Declare Function cFillIncrS Lib "t2wlight.dll" (Array() As Single, ByVal nValue As Single, ByVal Increment As Single) As Integer
Declare Function cFillL Lib "t2wlight.dll" (Array() As Long, ByVal nValue As Long) As Integer
Declare Function cFillS Lib "t2wlight.dll" (Array() As Single, ByVal nValue As Single) As Integer
Declare Function cFilterBlocks Lib "t2wlight.dll" (Txt As String, Delimitor As String) As String
Declare Function cFilterChars Lib "t2wlight.dll" (Txt As String, charSet As String) As String
Declare Function cFilterFirstChars Lib "t2wlight.dll" (Txt As String, charSet As String) As String
Declare Function cFilterNotChars Lib "t2wlight.dll" (Txt As String, charSet As String) As String
Declare Function cFindBitReset Lib "t2wlight.dll" (Txt As String, ByVal Position As Integer) As Integer
Declare Function cFindBitSet Lib "t2wlight.dll" (Txt As String, ByVal Position As Integer) As Integer
Declare Function cFindFileInEnv Lib "t2wlight.dll" (ByVal lpFilename As String, ByVal lpEnv As String) As Integer
Declare Function cFindFileInPath Lib "t2wlight.dll" (ByVal lpFilename As String) As Integer
Declare Function cFloppyInfo Lib "t2wlight.dll" (ByVal nDrive As String, nHeads As Integer, nCylinders As Integer, nSectors As Integer) As Integer
Declare Function cFromBinary Lib "t2wlight.dll" (Text As String) As String
Declare Function cFromBinary2 Lib "t2wlight.dll" (Text As String, Bin As String) As String
Declare Function cFromHexa Lib "t2wlight.dll" (Text As String) As String
Declare Function cFullPath Lib "t2wlight.dll" (ByVal nFilename As String) As String
Declare Function cGet Lib "t2wlight.dll" (Txt As String, ByVal Position As Integer) As String
Declare Function cGetBit Lib "t2wlight.dll" (Txt As String, ByVal Position As Integer) As Integer
Declare Function cGetBlock Lib "t2wlight.dll" (Txt As String, ByVal Position As Integer, ByVal Length As Integer) As String
Declare Function cGetCaption Lib "t2wlight.dll" (ByVal hWnd As Integer) As String
Declare Function cGetChangeTaskName Lib "t2wlight.dll" (ByVal hWnd As Integer, ByVal Text As String) As String
Declare Function cGetClass Lib "t2wlight.dll" (ByVal hWnd As Integer) As String
Declare Function cGetClassName Lib "t2wlight.dll" (ByVal hWnd As Integer) As String
Declare Function cGetContainer Lib "t2wlight.dll" (ByVal hWnd As Integer) As String
Declare Function cGetCountry Lib "t2wlight.dll" () As String
Declare Function cGetCountryCode Lib "t2wlight.dll" () As String
Declare Function cGetCtlCaption Lib "t2wlight.dll" (Ctl As Control) As String
Declare Function cGetCtlClass Lib "t2wlight.dll" (Ctl As Control) As String
Declare Function cGetCtlContainer Lib "t2wlight.dll" (Ctl As Control) As String
Declare Function cGetCtlDataField Lib "t2wlight.dll" (Ctl As Control) As String
Declare Function cGetCtlForm Lib "t2wlight.dll" (Ctl As Control) As String
Declare Function cGetCtlIndex Lib "t2wlight.dll" (Ctl As Control) As Integer
Declare Function cGetCtlName Lib "t2wlight.dll" (Ctl As Control) As String
Declare Function cGetCtlNameIndex Lib "t2wlight.dll" (Ctl As Control) As String
Declare Function cGetCtlPropCaption Lib "t2wlight.dll" (Ctl As Control) As Integer
Declare Function cGetCtlPropDataField Lib "t2wlight.dll" (Ctl As Control) As Integer
Declare Function cGetCtlPropText Lib "t2wlight.dll" (Ctl As Control) As Integer
Declare Function cGetCtlTag Lib "t2wlight.dll" (Ctl As Control) As String
Declare Function cGetCtlTagSized Lib "t2wlight.dll" (Ctl As Control) As String
Declare Function cGetCtlText Lib "t2wlight.dll" (Ctl As Control) As String
Declare Function cGetCurrency Lib "t2wlight.dll" () As String
Declare Function cGetCurrentDrive Lib "t2wlight.dll" () As String
Declare Function cGetDataField Lib "t2wlight.dll" (ByVal hWnd As Integer) As String
Declare Function cGetDateFormat Lib "t2wlight.dll" () As String
Declare Function cGetDateSeparator Lib "t2wlight.dll" () As String
Declare Function cGetDefaultCurrentDir Lib "t2wlight.dll" () As String
Declare Function cGetDefaultPrinter Lib "t2wlight.dll" () As String
Declare Function cGetDevices Lib "t2wlight.dll" () As String
Declare Function cGetDiskClusterSize Lib "t2wlight.dll" (ByVal lpDrive As String) As Long
Declare Function cGetDiskFree Lib "t2wlight.dll" (ByVal lpDrive As String) As Long
Declare Function cGetDiskSpace Lib "t2wlight.dll" (ByVal lpDrive As String) As Long
Declare Function cGetDiskUsed Lib "t2wlight.dll" (ByVal lpDrive As String) As Long
Declare Function cGetDriveCurrentDir Lib "t2wlight.dll" (ByVal lpDrive As String) As String
Declare Function cGetDriveType Lib "t2wlight.dll" (ByVal lpDrive As String) As Integer
Declare Function cGetForm Lib "t2wlight.dll" (ByVal hWnd As Integer) As String
Declare Function cGetFullNameInEnv Lib "t2wlight.dll" (ByVal lpFilename As String, ByVal lpEnv As String) As String
Declare Function cGetFullNameInPath Lib "t2wlight.dll" (ByVal lpFilename As String) As String
Declare Function cGetHourFormat Lib "t2wlight.dll" () As String
Declare Function cGetHwnd Lib "t2wlight.dll" (Ctl As Control) As Integer
Declare Function cGetIn Lib "t2wlight.dll" (Txt As String, Separator As String, ByVal Position As Integer) As String
Declare Function cGetInPart Lib "t2wlight.dll" (Txt As String, Separator As String, ByVal Position As Integer) As String
Declare Function cGetInPartR Lib "t2wlight.dll" (Txt As String, Separator As String, ByVal Position As Integer) As String
Declare Function cGetInR Lib "t2wlight.dll" (Txt As String, Separator As String, ByVal Position As Integer) As String
Declare Function cGetIndex Lib "t2wlight.dll" (ByVal hWnd As Integer) As Integer
Declare Function cGetIni Lib "t2wlight.dll" (ByVal AppName As String, ByVal szItem As String, ByVal szDefault As String, ByVal InitFile As String) As String
Declare Function cGetLanguage Lib "t2wlight.dll" () As String
Declare Function cGetListSeparator Lib "t2wlight.dll" () As String
Declare Function cGetName Lib "t2wlight.dll" (ByVal hWnd As Integer) As String
Declare Function cGetNameIndex Lib "t2wlight.dll" (ByVal hWnd As Integer) As String
Declare Function cGetNetConnection Lib "t2wlight.dll" (ByVal lpDrive As String, ErrCode As Integer) As String
Declare Function cGetPrinterPorts Lib "t2wlight.dll" () As String
Declare Function cGetSectionItems Lib "t2wlight.dll" (ByVal Section As String, ByVal InitFile As String, nItems As Integer) As String
Declare Function cGetSystemDirectory Lib "t2wlight.dll" () As String
Declare Function cGetTag Lib "t2wlight.dll" (ByVal hWnd As Integer) As String
Declare Function cGetTagSized Lib "t2wlight.dll" (ByVal hWnd As Integer, ByVal nSize As Integer) As String
Declare Function cGetTaskName Lib "t2wlight.dll" (ByVal hWnd As Integer) As String
Declare Function cGetText Lib "t2wlight.dll" (ByVal hWnd As Integer) As String
Declare Function cGetTimeSeparator Lib "t2wlight.dll" () As String
Declare Function cGetVersion Lib "t2wlight.dll" () As Single
Declare Function cGetWinINI Lib "t2wlight.dll" (ByVal Info As Integer) As String
Declare Function cGetWinSection Lib "t2wlight.dll" (ByVal Section As String) As String
Declare Function cGetWindowsDirectory Lib "t2wlight.dll" () As String
Declare Function cGiveBitPalindrome Lib "t2wlight.dll" () As String
Declare Function cHideAllEditForm Lib "t2wlight.dll" () As Integer
Declare Function cHideDebugForm Lib "t2wlight.dll" () As Integer
Declare Function cHourTo Lib "t2wlight.dll" (Txt As String) As Variant
Declare Sub cIncrI Lib "t2wlight.dll" (Value As Integer)
Declare Sub cIncrL Lib "t2wlight.dll" (Value As Long)
Declare Function cInsertBlocks Lib "t2wlight.dll" (Txt As String, Insert As String) As String
Declare Function cInsertBlocksBy Lib "t2wlight.dll" (Txt As String, Insert As String, Delimitor As String) As String
Declare Function cInsertByMask Lib "t2wlight.dll" (Txt As String, Mask As String, Insert As String) As String
Declare Function cInsertChars Lib "t2wlight.dll" (Txt As String, ByVal Position As Integer, Insert As String) As String
Declare Function cIntoBalance Lib "t2wlight.dll" (Var As Variant) As String
Declare Function cIntoBalanceFill Lib "t2wlight.dll" (Var As Variant) As String
Declare Function cIntoDate Lib "t2wlight.dll" (ByVal nDate As Long) As String
Declare Function cIntoDateFill Lib "t2wlight.dll" (ByVal nDate As Long) As String
Declare Function cIntoDateNull Lib "t2wlight.dll" (ByVal nDate As Long) As String
Declare Function cIntoFixHour Lib "t2wlight.dll" (Var As Variant, ByVal Length As Integer, ByVal fillZero As Integer, ByVal Centime As Integer) As String
Declare Function cIntoHour Lib "t2wlight.dll" (Var As Variant) As String
Declare Function cIntoVarHour Lib "t2wlight.dll" (Var As Variant) As String
Declare Function cIsAlnum Lib "t2wlight.dll" (Txt As String) As Integer
Declare Function cIsAlpha Lib "t2wlight.dll" (Txt As String) As Integer
Declare Function cIsAscii Lib "t2wlight.dll" (Txt As String) As Integer
Declare Function cIsBalance Lib "t2wlight.dll" (ByVal nHour As Long, ByVal nMinute As Integer, ByVal nSecond As Integer) As Integer
Declare Function cIsBitPalindrome Lib "t2wlight.dll" (Txt As String) As Integer
Declare Function cIsCsym Lib "t2wlight.dll" (Txt As String) As Integer
Declare Function cIsCsymf Lib "t2wlight.dll" (Txt As String) As Integer
Declare Function cIsDate Lib "t2wlight.dll" (ByVal nYear As Integer, ByVal nMonth As Integer, ByVal nDay As Integer) As Integer
Declare Function cIsDigit Lib "t2wlight.dll" (Txt As String) As Integer
Declare Function cIsFileArchive Lib "t2wlight.dll" (ByVal nFilename As String) As Integer
Declare Function cIsFileEmpty Lib "t2wlight.dll" (ByVal nFilename As String) As Integer
Declare Function cIsFileFlag Lib "t2wlight.dll" (ByVal nFilename As String, ByVal nStatus As Integer) As Integer
Declare Function cIsFileHidden Lib "t2wlight.dll" (ByVal nFilename As String) As Integer
Declare Function cIsFileNormal Lib "t2wlight.dll" (ByVal nFilename As String) As Integer
Declare Function cIsFileReadOnly Lib "t2wlight.dll" (ByVal nFilename As String) As Integer
Declare Function cIsFileSubDir Lib "t2wlight.dll" (ByVal nFilename As String) As Integer
Declare Function cIsFileSystem Lib "t2wlight.dll" (ByVal nFilename As String) As Integer
Declare Function cIsFileVolId Lib "t2wlight.dll" (ByVal nFilename As String) As Integer
Declare Function cIsFilenameValid Lib "t2wlight.dll" (ByVal nFilename As String) As Integer
Declare Function cIsFormEnabled Lib "t2wlight.dll" (ByVal hWnd As Integer) As Integer
Declare Function cIsHour Lib "t2wlight.dll" (ByVal nHour As Integer, ByVal nMinute As Integer, ByVal nSecond As Integer) As Integer
Declare Function cIsISBN Lib "t2wlight.dll" (Txt As String) As Integer
Declare Function cIsLeapYear Lib "t2wlight.dll" (ByVal nYear As Integer) As Integer
Declare Function cIsLower Lib "t2wlight.dll" (Txt As String) As Integer
Declare Function cIsPalindrome Lib "t2wlight.dll" (Txt As String) As Integer
Declare Function cIsPunct Lib "t2wlight.dll" (Txt As String) As Integer
Declare Function cIsSpace Lib "t2wlight.dll" (Txt As String) As Integer
Declare Function cIsUpper Lib "t2wlight.dll" (Txt As String) As Integer
Declare Function cIsXdigit Lib "t2wlight.dll" (Txt As String) As Integer
Declare Function cKillDir Lib "t2wlight.dll" (ByVal lpFilename As String) As Integer
Declare Function cKillDirFilesAll Lib "t2wlight.dll" (ByVal lpDir As String, ByVal lpMask As String) As Integer
Declare Function cKillDirs Lib "t2wlight.dll" (ByVal lpDir As String, ByVal HeaderDirectory As Integer) As Integer
Declare Function cKillFile Lib "t2wlight.dll" (ByVal lpFilename As String) As Integer
Declare Function cKillFileAll Lib "t2wlight.dll" (ByVal lpFilename As String) As Integer
Declare Function cKillFiles Lib "t2wlight.dll" (ByVal lpFilename As String) As Integer
Declare Function cKillFilesAll Lib "t2wlight.dll" (ByVal lpFilename As String) As Integer
Declare Function cLrc Lib "t2wlight.dll" (Txt As String) As String
Declare Function cMKB Lib "t2wlight.dll" (ByVal Value As Integer) As String
Declare Function cMKC Lib "t2wlight.dll" (ByVal Value As Currency) As String
Declare Function cMKD Lib "t2wlight.dll" (ByVal Value As Double) As String
Declare Function cMKI Lib "t2wlight.dll" (ByVal Value As Integer) As String
Declare Function cMKL Lib "t2wlight.dll" (ByVal Value As Long) As String
Declare Function cMKN Lib "t2wlight.dll" (ByVal Value As String) As String
Declare Function cMKS Lib "t2wlight.dll" (ByVal Value As Single) As String
Declare Function cMakeDir Lib "t2wlight.dll" (ByVal lpFilename As String) As Integer
Declare Function cMakeMultipleDir Lib "t2wlight.dll" (ByVal lpFilename As String) As Integer
Declare Function cMakePath Lib "t2wlight.dll" (ByVal nDrive As String, ByVal nDir As String, ByVal nFilename As String, ByVal Ext As String) As String
Declare Function cMax Lib "t2wlight.dll" (Var1 As Variant, Var2 As Variant) As Variant
Declare Function cMaxD Lib "t2wlight.dll" (Array() As Double) As Double
Declare Function cMaxI Lib "t2wlight.dll" (Array() As Integer) As Integer
Declare Function cMaxL Lib "t2wlight.dll" (Array() As Long) As Long
Declare Function cMaxS Lib "t2wlight.dll" (Array() As Single) As Single
Declare Function cMeanD Lib "t2wlight.dll" (Array() As Double) As Double
Declare Function cMeanI Lib "t2wlight.dll" (Array() As Integer) As Double
Declare Function cMeanL Lib "t2wlight.dll" (Array() As Long) As Double
Declare Function cMeanS Lib "t2wlight.dll" (Array() As Single) As Double
Declare Function cMin Lib "t2wlight.dll" (Var1 As Variant, Var2 As Variant) As Variant
Declare Function cMinD Lib "t2wlight.dll" (Array() As Double) As Double
Declare Function cMinI Lib "t2wlight.dll" (Array() As Integer) As Integer
Declare Function cMinL Lib "t2wlight.dll" (Array() As Long) As Long
Declare Function cMinS Lib "t2wlight.dll" (Array() As Single) As Single
Declare Function cMixChars Lib "t2wlight.dll" (Txt As String) As String
Declare Function cNexthWnd Lib "t2wlight.dll" (ByVal hWnd As Integer) As Integer
Declare Function cNumDigit Lib "t2wlight.dll" (Txt As String) As Integer
Declare Function cOneCharFromLeft Lib "t2wlight.dll" (Txt As String, ByVal Position As Integer) As String
Declare Function cOneCharFromRight Lib "t2wlight.dll" (Txt As String, ByVal Position As Integer) As String
Declare Function cOrToken Lib "t2wlight.dll" (ByVal Txt As String, ByVal Token As String) As Integer
Declare Function cOrTokenIn Lib "t2wlight.dll" (ByVal Txt As String, ByVal Token As String, ByVal Separator As String) As Integer
Declare Function cProperName Lib "t2wlight.dll" (Txt As String) As String
Declare Function cProperName2 Lib "t2wlight.dll" (Txt As String, ByVal TokenToUse As String, ByVal Options As Integer) As String
Declare Sub cPutIni Lib "t2wlight.dll" (ByVal AppName As String, ByVal szItem As String, ByVal szDefault As String, ByVal InitFile As String)
Declare Function cRemoveBlockChar Lib "t2wlight.dll" (Txt As String, ByVal Position As Integer, ByVal Length As Integer) As String
Declare Function cRemoveOneChar Lib "t2wlight.dll" (Txt As String, ByVal Position As Integer) As String
Declare Function cRenameFile Lib "t2wlight.dll" (ByVal lpFilename1 As String, ByVal lpFilename2 As String) As Integer
Declare Function cResizeString Lib "t2wlight.dll" (Txt As String, ByVal NewLength As Integer) As String
Declare Function cResizeStringAndFill Lib "t2wlight.dll" (Txt As String, ByVal NewLength As Integer, Fill As String) As String
Declare Function cReverse Lib "t2wlight.dll" (Txt As String) As String
Declare Sub cReverseAllBits Lib "t2wlight.dll" (Txt As String)
Declare Sub cReverseAllBitsByChar Lib "t2wlight.dll" (Txt As String)
Declare Function cReverseSortD Lib "t2wlight.dll" (Array() As Double) As Integer
Declare Function cReverseSortI Lib "t2wlight.dll" (Array() As Integer) As Integer
Declare Function cReverseSortL Lib "t2wlight.dll" (Array() As Long) As Integer
Declare Function cReverseSortS Lib "t2wlight.dll" (Array() As Single) As Integer
Declare Function cReverseSortStr Lib "t2wlight.dll" (Txt As String, ByVal nItem As Integer, ByVal ItemLength As Integer) As Integer
Declare Function cRomanToArabic Lib "t2wlight.dll" (Txt As String) As Variant
Declare Sub cScalarToDate Lib "t2wlight.dll" (ByVal Scalar As Long, nYear As Integer, nMonth As Integer, nDay As Integer)
Declare Function cScrollL Lib "t2wlight.dll" (Txt As String) As String
Declare Function cScrollR Lib "t2wlight.dll" (Txt As String) As String
Declare Sub cSetAllBits Lib "t2wlight.dll" (Txt As String, ByVal Value As Integer)
Declare Sub cSetBit Lib "t2wlight.dll" (Txt As String, ByVal Position As Integer, ByVal Value As Integer)
Declare Sub cSetBitToFalse Lib "t2wlight.dll" (Txt As String, ByVal Position As Integer)
Declare Sub cSetBitToTrue Lib "t2wlight.dll" (Txt As String, ByVal Position As Integer)
Declare Sub cSetCaption Lib "t2wlight.dll" (ByVal hWnd As Integer, ByVal Text As String)
Declare Sub cSetCtlCaption Lib "t2wlight.dll" (Ctl As Control, ByVal Text As String)
Declare Sub cSetCtlDataField Lib "t2wlight.dll" (Ctl As Control, ByVal Text As String)
Declare Sub cSetCtlPropString Lib "t2wlight.dll" (Ctl As Control, ByVal PropIndex As Integer, ByVal Text As String)
Declare Sub cSetCtlTag Lib "t2wlight.dll" (Ctl As Control, ByVal Text As String)
Declare Sub cSetCtlText Lib "t2wlight.dll" (Ctl As Control, ByVal Text As String)
Declare Function cSetD Lib "t2wlight.dll" (Array() As Double, ByVal nValue As Double) As Integer
Declare Sub cSetDataField Lib "t2wlight.dll" (ByVal hWnd As Integer, ByVal Text As String)
Declare Sub cSetDefaultSeparator Lib "t2wlight.dll" (Separator As String)
Declare Function cSetI Lib "t2wlight.dll" (Array() As Integer, ByVal nValue As Integer) As Integer
Declare Function cSetL Lib "t2wlight.dll" (Array() As Long, ByVal nValue As Long) As Integer
Declare Function cSetS Lib "t2wlight.dll" (Array() As Single, ByVal nValue As Single) As Integer
Declare Sub cSetTag Lib "t2wlight.dll" (ByVal hWnd As Integer, ByVal Text As String)
Declare Sub cSetText Lib "t2wlight.dll" (ByVal hWnd As Integer, ByVal Text As String)
Declare Function cSgn Lib "t2wlight.dll" (ByVal Value As Integer) As Integer
Declare Function cSleep Lib "t2wlight.dll" (ByVal delay As Long) As Integer
Declare Function cSortD Lib "t2wlight.dll" (Array() As Double) As Integer
Declare Function cSortI Lib "t2wlight.dll" (Array() As Integer) As Integer
Declare Function cSortL Lib "t2wlight.dll" (Array() As Long) As Integer
Declare Function cSortS Lib "t2wlight.dll" (Array() As Single) As Integer
Declare Function cSortStr Lib "t2wlight.dll" (Txt As String, ByVal nItem As Integer, ByVal ItemLength As Integer) As Integer
Declare Function cSplitPath Lib "t2wlight.dll" (ByVal nFilename As String, SPLITPATH As Any) As Integer
Declare Function cStringCRC32 Lib "t2wlight.dll" (Txt As String) As Long
Declare Function cStringCompress Lib "t2wlight.dll" (Txt As String) As String
Declare Function cStringExpand Lib "t2wlight.dll" (Txt As String) As String
Declare Function cSubDirectory Lib "t2wlight.dll" (ByVal nFilename As String, ByVal FirstNext As Integer) As String
Declare Function cSumD Lib "t2wlight.dll" (Array() As Double) As Double
Declare Function cSumI Lib "t2wlight.dll" (Array() As Integer) As Double
Declare Function cSumL Lib "t2wlight.dll" (Array() As Long) As Double
Declare Function cSumS Lib "t2wlight.dll" (Array() As Single) As Double
Declare Sub cSwapD Lib "t2wlight.dll" (swap1 As Double, swap2 As Double)
Declare Sub cSwapI Lib "t2wlight.dll" (swap1 As Integer, swap2 As Integer)
Declare Sub cSwapL Lib "t2wlight.dll" (swap1 As Long, swap2 As Long)
Declare Sub cSwapS Lib "t2wlight.dll" (swap1 As Single, swap2 As Single)
Declare Sub cSwapStr Lib "t2wlight.dll" (swap1 As String, swap2 As String)
Declare Function cTimeBetween Lib "t2wlight.dll" (ByVal Hr1 As Integer, ByVal Hr2 As Integer) As Integer
Declare Function cToBinary Lib "t2wlight.dll" (Text As String) As String
Declare Function cToBinary2 Lib "t2wlight.dll" (Text As String, Bin As String) As String
Declare Function cToHexa Lib "t2wlight.dll" (Text As String) As String
Declare Sub cToggleAllBits Lib "t2wlight.dll" (Txt As String)
Declare Sub cToggleBit Lib "t2wlight.dll" (Txt As String, ByVal Position As Integer)
Declare Function cTokenIn Lib "t2wlight.dll" (Txt As String, Separator As String, ByVal Position As Integer) As String
Declare Function cTrueBetween Lib "t2wlight.dll" (Var As Variant, Var1 As Variant, Var2 As Variant) As Integer
Declare Sub cTypeClear Lib "t2wlight.dll" (TypeSrc As Any, ByVal lenTypeSrc As Integer)
Declare Function cTypeMid Lib "t2wlight.dll" (TypeSrc As Any, ByVal offset As Integer, ByVal Length As Integer) As String
Declare Function cTypeTransfert Lib "t2wlight.dll" (TypeSrc As Any, ByVal lenTypeSrc As Integer) As String
Declare Function cTypesCompare Lib "t2wlight.dll" (Type1 As Any, Type2 As Any, ByVal lenType1 As Integer) As Integer
Declare Sub cTypesCopy Lib "t2wlight.dll" (TypeSrc As Any, TypeDst As Any, ByVal lenTypeSrc As Integer)
Declare Function cUnHideAllEditForm Lib "t2wlight.dll" () As Integer
Declare Function cUnHideDebugForm Lib "t2wlight.dll" () As Integer
Declare Function cUncompact Lib "t2wlight.dll" (Txt As String) As String
Declare Function cUniqueFileName Lib "t2wlight.dll" (Txt As String) As String
Declare Function cWeekOfYear Lib "t2wlight.dll" (ByVal nYear As Integer, ByVal nMonth As Integer, ByVal nDay As Integer, ByVal nISO As Integer) As Integer

